From: =?utf-8?q?David_Pr=C3=A9vot?= <david@tilapin.org>
Date: Thu, 21 Sep 2017 00:35:42 -1000
Subject: Declare composer group for tests failing outside a Composer
 environment

---
 src/Symfony/Component/Config/Tests/Resource/ComposerResourceTest.php | 3 +++
 src/Symfony/Component/HttpKernel/Tests/ClientTest.php                | 3 +++
 2 files changed, 6 insertions(+)

diff --git a/src/Symfony/Component/Config/Tests/Resource/ComposerResourceTest.php b/src/Symfony/Component/Config/Tests/Resource/ComposerResourceTest.php
index 6857c76..96e202c 100644
--- a/src/Symfony/Component/Config/Tests/Resource/ComposerResourceTest.php
+++ b/src/Symfony/Component/Config/Tests/Resource/ComposerResourceTest.php
@@ -17,6 +17,9 @@ use Symfony\Component\Config\Resource\ComposerResource;
 
 class ComposerResourceTest extends TestCase
 {
+    /**
+     * @group composer
+     */
     public function testGetVendor()
     {
         $res = new ComposerResource();
diff --git a/src/Symfony/Component/HttpKernel/Tests/ClientTest.php b/src/Symfony/Component/HttpKernel/Tests/ClientTest.php
index ac1c55a..e94d81d 100644
--- a/src/Symfony/Component/HttpKernel/Tests/ClientTest.php
+++ b/src/Symfony/Component/HttpKernel/Tests/ClientTest.php
@@ -43,6 +43,9 @@ class ClientTest extends TestCase
         $this->assertEquals('http://www.example.com/?parameter='.urlencode('http://google.com'), $client->getRequest()->getUri(), '->doRequest() uses the request handler to make the request');
     }
 
+    /**
+     * @group composer
+     */
     public function testGetScript()
     {
         $client = new TestClient(new TestHttpKernel());
